@echo off

REM # Clean:
REM # 1) remove logs
REM # 2) remove docs
REM # 3) remove clases
REM # 4) remove dist
REM # 5) remove bak
REM # 6) remove ant_build_output.txt
REM # 7) remove props\jnpad.properties
REM # 8) remove props\jnpad.defaults.properties
REM # 9) remove props\search.properties

cls
echo.
echo   remove logs...
echo   ----------------------------------
echo   Progress: л          10%%
echo   ----------------------------------
call :removeDir logs

cls
echo.
echo   remove docs...
echo   ----------------------------------
echo   Progress: лл         20%%
echo   ----------------------------------
call :removeDir javadoc

cls
echo.
echo   remove docs...
echo   ----------------------------------
echo   Progress: ллл        30%%
echo   ----------------------------------
call :removeFile jnpad-0.3-docs.zip

cls
echo.
echo   remove clases...
echo   ----------------------------------
echo   Progress: лллл       40%%
echo   ----------------------------------
call :removeDir classes

cls
echo.
echo   remove dist...
echo   ----------------------------------
echo   Progress: ллллл      50%%
echo   ----------------------------------
call :removeDir dist

cls
echo.
echo   remove bak...
echo   ----------------------------------
echo   Progress: лллллл     60%%
echo   ----------------------------------
call :removeDir bak

cls
echo.
echo   remove ant_build_output.txt...
echo   ----------------------------------
echo   Progress: ллллллл    70%%
echo   ----------------------------------
call :removeFile ant_build_output.txt

cls
echo.
echo   remove props\jnpad.properties...
echo   ----------------------------------
echo   Progress: лллллллл   80%%
echo   ----------------------------------
call :removeFile props\jnpad.properties

cls
echo.
echo   remove props\jnpad.defaults.properties...
echo   ----------------------------------
echo   Progress: ллллллллл  90%%
echo   ----------------------------------
call :removeFile props\jnpad.defaults.properties

cls
echo.
echo   remove props\search.properties...
echo   ----------------------------------
echo   Progress: ллллллллл  90%%
echo   ----------------------------------
call :removeFile props\search.properties

cls
echo.
echo   Task finished.
echo   ----------------------------------
echo   Progress: лллллллллл 100%%
echo   ----------------------------------
echo.

goto :end

:removeDir
if exist %~1 rmdir /s /q %~1
goto:EOF

:removeFile
if exist %~1 del %~1
goto:EOF

:end

@echo on
